> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# NFT Collections

> Fetch multiple collections that match the given contract addresses.



## OpenAPI

````yaml GET /api/v1/developer/nfts/collections/{chain}
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/developer/nfts/collections/{chain}:
    get:
      tags:
        - NFTS
        - DEVELOPER
      summary: NFT Collections
      description: Fetch multiple collections that match the given contract addresses.
      operationId: get_collections_api_v1_developer_nfts_collections__chain__get
      parameters:
        - name: chain
          in: path
          required: true
          schema:
            enum:
              - ethereum
              - abstract
              - apechain
              - arbitrum
              - arbitrum-nova
              - avalanche
              - base
              - optimism
              - polygon
              - shape
              - soneium
              - xai
              - zero
              - zora
              - linea
              - solana
            type: string
            title: Chain
        - name: contract_addresses
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            description: >-
              Addresses of the NFT Contracts to fetch Collections for. This is
              used for EVM chains.
            default: []
            title: Contract Addresses
          description: >-
            Addresses of the NFT Contracts to fetch Collections for. This is
            used for EVM chains.
        - name: collection_symbols
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            description: >-
              Collection Symbols of the Solana NFT Collections to fetch. This is
              only used for Solana.
            default: []
            title: Collection Symbols
          description: >-
            Collection Symbols of the Solana NFT Collections to fetch. This is
            only used for Solana.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseEnvelopeMultiItems_NftFullCollectionBase_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    ResponseEnvelopeMultiItems_NftFullCollectionBase_:
      properties:
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/NftFullCollectionBase'
              type: array
            - type: 'null'
          title: Items
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      title: ResponseEnvelopeMultiItems[NftFullCollectionBase]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NftFullCollectionBase:
      properties: {}
      type: object
      title: NftFullCollectionBase
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````